Package org.eclipse.microprofile.fault.tolerance.tck.config.clientserver

# Class ConfigClassLevelClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.clientserver.ConfigClassLevelClient

@RequestScoped @Retry(maxRetries=5) public class ConfigClassLevelClient extends Object
A client to support Fault Tolerance Configuration tests.

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`ConfigClassLevelClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingConnectionService()`
`Connection`
`serviceA()`
`Connection`
`serviceB()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigClassLevelClient

public ConfigClassLevelClient()

## Method Details

### serviceA

public Connection serviceA()

### serviceB

@Retry(maxRetries=1) public Connection serviceB()

### getCounterForInvokingConnectionService

public int getCounterForInvokingConnectionService()